#ifndef __PCFX_RAINBOW_H
#define __PCFX_RAINBOW_H

void RAINBOW_Write8(uint32 A, uint8 V);
void RAINBOW_Write16(uint32 A, uint16 V);
void RAINBOW_Write32(uint32 A, uint32 V);

void RAINBOW_TransferStart(uint32 blocks);
int RAINBOW_FetchRaster(uint8 *);
int RAINBOW_StateAction(StateMem *sm, int load, int data_only);

#endif
